#pragma once


// CSplitter

class CSplitter : public CWnd
{
	DECLARE_DYNAMIC(CSplitter)

public:
	CSplitter();
	virtual ~CSplitter();
	CRect m_last_rc;
	void SetEdge(CWnd *c1, CWnd *c2);
	void CreateSplitter(int size, CWnd *parent, CWnd *c1, CWnd *c2, bool percent_flag = false);
	void SetThick(int thick);
	enum {
		modeHorizontal,
		modeVertical
	};
	void SetMode(int mode);
	void SetMinimumSize(int min);
	void AdjustSize();
	void SetControl(int no, CWnd *wnd);

protected:
	DECLARE_MESSAGE_MAP()

	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);

	int m_thick;
	CWnd *m_control[2]; 
	CWnd *m_edge[2]; 
	CPoint m_base;
	CPoint m_last;
	int m_min;
	int m_mode;
};


